edu.sc.seis.sod.status.waveformArm

## Class EventStationFormatter

- java.lang.Object
- - edu.sc.seis.sod.status.Template
  - - edu.sc.seis.sod.status.StationFormatter
    - - edu.sc.seis.sod.status.waveformArm.EventStationFormatter

- All Implemented Interfaces:
    StationTemplate

      public class EventStationFormatter
      extends StationFormatter

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.status.Template

      `templates`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventStationFormatter(org.w3c.dom.Element el)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getTemplate(java.lang.String name, org.w3c.dom.Element el)` if this class has an template for this tag, it creates it using the passed in element and returns it.
    `void` | `setEvent(edu.sc.seis.fissuresUtil.cache.CacheEvent ev)`

    - ### Methods inherited from class edu.sc.seis.sod.status.StationFormatter

      `getResult, makeNetAndCode, textTemplate`

    - ### Methods inherited from class edu.sc.seis.sod.status.Template

      `getCommonTemplate, parse, parse, setUp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventStationFormatter

          public EventStationFormatter(org.w3c.dom.Element el)
                                throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### getTemplate

          public java.lang.Object getTemplate(java.lang.String name,
                                              org.w3c.dom.Element el)

      Description copied from class: `StationFormatter`
      if this class has an template for this tag, it creates it using the passed in element and returns it. Otherwise it returns null.
      Overrides:
        `getTemplate` in class `StationFormatter`

    - #### setEvent

          public void setEvent(edu.sc.seis.fissuresUtil.cache.CacheEvent ev)